@charset "UTF-8";

@layer utility {
  /* =====================
    u-bg
  ===================== */
  .u-bg {
    background-color: #e9f4fa;
  }
  /* =====================
    u-hover
  ===================== */
  .u-hover {
    transition: opacity 250ms ease 0s;
    @media (any-hover: hover) {
      &:hover {
        opacity: 0.7;
      }
    }
  }

  /* =====================
    u-inner
  ===================== */
  .u-inner {
    max-inline-size: 1440px;
    margin-inline: auto;
  }

  /* =====================
    u-anchor
  ===================== */
  .u-anchor {
    display: block flex;
    inline-size: fit-content;
    gap: 16px;
    align-items: flex-end;

    @media (width <= 768px) {
      gap: calc((100 / 390) * 8 * 1vw);
    }

    .btn-txt {
      position: relative;
      font-weight: 500;
      padding-inline: 16px;
      padding-block-end: 16px;

      @media (width <= 768px) {
        padding-inline: calc((100 / 390) * 16 * 1vw);
        padding-block-end: calc((100 / 390) * 12 * 1vw);
      }

      &::after {
        content: '';
        position: absolute;
        right: 0;
        bottom: 0;
        inline-size: 100%;
        block-size: 2px;
        background-color: var(--primary);
        transition: 0.6s cubic-bezier(0.22, 1, 0.36, 1);
      }

      @media (width <= 768px) {
        &::after {
          block-size: calc((100 / 390) * 2 * 1vw);
        }
      }
    }

    &[data-position='center'] {
      margin-inline: auto;
    }
    @media (any-hover: hover) {
      &:hover {
        .btn-txt {
          &::after {
            inline-size: 0%;
          }
        }
        .u-arrow {
          background-color: var(--secondary);
        }
      }
    }
    &[data-color='white'] {
      .btn-txt {
        &::after {
          background-color: #fff;
        }
      }
      .u-arrow {
        background-color: #fff;
        &::after {
          background-color: var(--primary);
        }
      }
      @media (any-hover: hover) {
        &:hover {
          .u-arrow {
            background-color: var(--secondary);
            &::after {
              background-color: #fff;
            }
          }
        }
      }
    }
    &.map-link {
      .u-arrow {
        &::after {
          mask-image: var(--icon-link);
        }
      }
    }
  }

  /* =====================
    u-arrow
  ===================== */
  .u-arrow {
    position: relative;
    inline-size: 60px;
    aspect-ratio: 1 / 1;
    border-radius: 50rem;
    background-color: var(--primary);
    display: block grid;
    place-content: center;
    transition: all 0.5s ease;

    @media (width <= 768px) {
      inline-size: calc((100 / 390) * 46 * 1vw);
    }

    &::after {
      content: '';
      display: block flow;
      inline-size: 21px;
      aspect-ratio: 1/1;
      mask-repeat: no-repeat;
      mask-size: contain;
      mask-position: center;
      mask-image: var(--icon-arrow);
      background-color: #fff;
      flex-shrink: 0;
    }

    @media only screen and (width <= 768px) {
      &::after {
        inline-size: calc((100 / 390) * 18 * 1vw);
      }
    }
  }

  /* =====================
  u-h2-title
===================== */
  .u-h2-title {
    display: block grid;
    align-items: center;
    inline-size: fit-content;
    gap: 6px;

    @media (width <= 768px) {
      gap: calc((100 / 390) * 3 * 1vw);
    }

    & > span[lang='en'] {
      font-family: var(--title);
      font-size: 80px;
      text-transform: uppercase;
      background-image: linear-gradient(180deg, rgba(0, 122, 198, 0.4) 0%, rgba(191, 227, 249, 0.2) 100%);
      -webkit-background-clip: text;
      background-clip: text;
      -webkit-text-fill-color: transparent;
      line-height: 1;

      @media (width <= 768px) {
        font-size: calc((100 / 390) * 40 * 1vw);
      }
    }

    & > h2.title {
      position: relative;
      display: block flex;
      align-items: center;
      gap: 16px;
      font-size: 24px;
      font-weight: 500;
      color: var(--primary);

      @media (width <= 768px) {
        gap: calc((100 / 390) * 8 * 1vw);
        font-size: calc((100 / 390) * 15 * 1vw);
      }

      &::before {
        content: '';
        display: block;
        inline-size: 8px;
        aspect-ratio: 1 / 1;
        background-color: var(--secondary);
        border-radius: 50rem;
      }
      @media (width <= 768px) {
        &::before {
          inline-size: calc((100 / 390) * 5 * 1vw);
        }
      }
    }

    &[data-position='center'] {
      justify-content: center;
      text-align: center;
      margin-inline: auto;
      & > h2.title {
        justify-content: center;
        &::after {
          content: '';
          display: block;
          inline-size: 8px;
          aspect-ratio: 1 / 1;
          background-color: var(--secondary);
          border-radius: 50rem;
        }

        @media (width <= 768px) {
          &::after {
            inline-size: calc((100 / 390) * 5 * 1vw);
          }
        }
      }
    }

    &[data-color='white'] {
      & > span[lang='en'] {
        background-image: linear-gradient(to bottom, #fff, rgba(255, 254, 254, 0) 200%);
      }
      & > h2.title {
        color: #fff;
        &::before {
          background-color: #fff;
        }
      }
    }

    &[data-size='small'] {
      inline-size: 100%;
      grid-template-columns: repeat(2, max-content);
      align-items: baseline;
      justify-content: space-between;
      border-bottom: 1px solid var(--secondary);
      padding-bottom: 9px;

      @media (width <= 768px) {
        display: block flex;
        flex-direction: column-reverse;
        padding-bottom: calc((100 / 390) * 8 * 1vw);
        gap: calc((100 / 390) * 8 * 1vw);
      }

      & > h2.title {
        line-height: 1.6;
      }
      & > span[lang='en'] {
        font-size: 48px;

        @media (width <= 768px) {
          font-size: calc((100 / 390) * 28 * 1vw);
        }
      }
    }
  }

  /* =====================
  u-mv
===================== */
  .u-mv {
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    inline-size: 100%;
    block-size: 360px;
    padding-block-start: 162px;

    @media (width <= 768px) {
      block-size: calc((100 / 390) * 260 * 1vw);
      padding-block-start: calc((100 / 390) * 106 * 1vw);
    }
    .u-inner {
      padding-inline: 80px;

      @media (width <= 768px) {
        padding-inline: calc((100 / 390) * 16 * 1vw);
      }

      & > hgroup {
        position: relative;
        z-index: 5;

        .title {
          position: relative;
          font-size: 40px;
          font-weight: 600;
          line-height: 1.5;
          color: #fff;

          @media (width <= 768px) {
            font-size: calc((100 / 390) * 32 * 1vw);
          }
        }

        & span[lang='en'] {
          display: block flow;
          font-size: 24px;
          font-weight: bold;
          line-height: 1;
          text-transform: uppercase;
          color: rgba(255, 255, 255, 0.6);
          margin-block-start: 7px;

          @media (width <= 768px) {
            font-size: calc((100 / 390) * 16 * 1vw);
            letter-spacing: calc((100 / 390) * 0.8 * 1vw);
          }
        }
      }
    }
  }

  /* =====================
  bread
===================== */
  .breadcrumb {
    display: block flex;
    justify-content: flex-end;
    align-items: center;
    gap: 16px;
    font-size: 15px;
    padding-block: 10px;
    padding-inline: 40px;

    @media (width <= 768px) {
      font-size: calc((100 / 390) * 13 * 1vw);
      gap: calc((100 / 390) * 12 * 1vw);
      padding-block: calc((100 / 390) * 5 * 1vw);
      padding-inline: calc((100 / 390) * 16 * 1vw);
    }

    & > li {
      display: block flex;
      gap: 16px;

      @media (width <= 768px) {
        gap: calc((100 / 390) * 12 * 1vw);
      }
    }

    & li + li {
      &::before {
        content: '－';
        display: inline-block;
        flex-shrink: 0;
      }
    }
  }

  /* =====================
    sdgs-txt
  ===================== */
  .sdgs-txt {
    text-transform: uppercase;
  }
  .u-h2-title {
    & > span[lang='en'].sdgs-txt {
      text-transform: unset;
    }
  }
  .u-h1-title {
    & > span[lang='en'].sdgs-txt {
      text-transform: unset;
    }
  }

  /* =====================
    u-content-catch
  ===================== */
  .u-content-catch {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.6;
    color: var(--primary);

    @media (width <= 768px) {
      font-size: calc((100 / 390) * 24 * 1vw);
    }
  }

  /* =====================
    u-table
  ===================== */
  .u-table {
    display: block grid;
    grid-template-columns: 318px 1fr;
    max-inline-size: 1040px;
    margin-inline: auto;

    @media (width <= 768px) {
      grid-template-columns: calc((100 / 390) * 109 * 1vw) 1fr;
      max-inline-size: calc((100 / 390) * 326 * 1vw);
    }
    .indent {
      @media (width <= 768px) {
        padding-inline-start: 0.25em;
      }
    }

    /* ==== tr ==== */
    .tr {
      padding-inline: 120px;
      display: block grid;
      grid-template-columns: subgrid;
      grid-column: 1 / -1;
      border-top: 1px solid #b0dcf8;

      @media (width <= 768px) {
        padding-inline: calc((100 / 390) * 8 * 1vw);
      }

      & :where(dt, dd) {
        block-size: 100%;
        padding-block: 15.5px;
        line-height: 1.5;

        @media (width <= 768px) {
          min-block-size: calc((100 / 390) * 58 * 1vw);
          padding-block: calc((100 / 390) * 8 * 1vw);
        }
      }

      /* ==== dt ==== */
      & > dt {
        font-weight: 500;
        line-height: 1.5 !important;
        color: #003f97;
        display: block grid;
        align-items: center;

        @media (width <= 768px) {
          padding-inline: 0 calc((100 / 390) * 8 * 1vw);
        }
      }

      &:last-child {
        border-bottom: 1px solid #b0dcf8;
      }
      /* ==== dd ==== */
      & > dd {
        padding-inline-start: 56px;
        line-height: 1.5 !important;

        @media (width <= 768px) {
          padding-inline-start: 0;
          display: block grid;
          align-items: center;
          grid-template-rows: auto;

          & a:where([href^='tel'], [href^='mailto']) {
            color: var(--primary);
            text-decoration: underline;
          }
        }
      }
    }
  }

  /* =====================
    fc-b
  ===================== */
  .fc-b {
    font-weight: 500;
    color: var(--secondary);
  }
}
